Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne
Class Fault

    java.lang.Object
      org.apache.cayenne.Fault

All Implemented Interfaces:
  java.io.Serializable

    public abstract class Fault

extends java.lang.Object
implements java.io.Serializable

Represents a placeholder for an unresolved relationship from a source object. Fault is resolved via `resolveFault(Persistent, String)`. Depending on the type of fault it is resolved differently. Each type of fault is a singleton that can be obtained via corresponding static method.

Since:
  1.1
Author:
  Andrei Adamchik
See Also:
  Serialized Form

Field Summary
`protected static Fault` | `toManyFault`
`protected static Fault` | `toOneFault`

Constructor Summary
`protected` | `Fault()`

Method Summary
`static Fault` | `getToManyFault()`
`static Fault` | `getToOneFault()`
`abstract java.lang.Object` | `resolveFault(Persistent sourceObject, java.lang.String relationshipName)` Returns an object for a given source object and relationship.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### toOneFault

    protected static Fault toOneFault

### toManyFault

    protected static Fault toManyFault

Constructor Detail

### Fault

    protected Fault()

Method Detail

### getToOneFault

    public static Fault getToOneFault()

### getToManyFault

    public static Fault getToManyFault()

### resolveFault

    public abstract java.lang.Object resolveFault(Persistent sourceObject,
                                                  java.lang.String relationshipName)

  Returns an object for a given source object and relationship.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 Apache.org All Rights Reserved.